//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DE55FCF018B.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DE55FCF018B.cm

//## begin module%3DE55FCF018B.cp preserve=no
//## end module%3DE55FCF018B.cp

//## Module: PlotSensitivity%3DE55FCF018B; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotSensitivity.h

#ifndef PLOTSENSITIVITY_H
#define PLOTSENSITIVITY_H 1

//## begin module%3DE55FCF018B.additionalIncludes preserve=no
//## end module%3DE55FCF018B.additionalIncludes

//## begin module%3DE55FCF018B.includes preserve=yes
//## end module%3DE55FCF018B.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DE55FCF018B.declarations preserve=no
//## end module%3DE55FCF018B.declarations

//## begin module%3DE55FCF018B.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3DE55FCF018B.additionalDeclarations


//## begin PlotSensitivity%3DE55E250124.preface preserve=yes
//## end PlotSensitivity%3DE55E250124.preface

//## Class: PlotSensitivity%3DE55E250124
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotSensitivity : public PlotCommand  //## Inherits: <unnamed>%4B44A8E400BD
{
  //## begin PlotSensitivity%3DE55E250124.initialDeclarations preserve=yes
  //## end PlotSensitivity%3DE55E250124.initialDeclarations

  public:
    //## Constructors (generated)
      PlotSensitivity();

    //## Destructor (generated)
      virtual ~PlotSensitivity();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B44A95C009E
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

      //## Operation: requestNewXoption%4B44A96501F2
      //	.
      virtual bool requestNewXoption (const PlotSettings& settings, XaxisMode& newOption) const;

    // Additional Public Declarations
      //## begin PlotSensitivity%3DE55E250124.public preserve=yes
      //## end PlotSensitivity%3DE55E250124.public

  protected:
    // Additional Protected Declarations
      //## begin PlotSensitivity%3DE55E250124.protected preserve=yes
      //## end PlotSensitivity%3DE55E250124.protected

  private:
    //## Constructors (generated)
      PlotSensitivity(const PlotSensitivity &right);

    //## Assignment Operation (generated)
      PlotSensitivity & operator=(const PlotSensitivity &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B44A942023C
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B44A9480059
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotSensitivity%3DE55E250124.private preserve=yes
      //## end PlotSensitivity%3DE55E250124.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotSensitivity%3DE55E250124.implementation preserve=yes
      //## end PlotSensitivity%3DE55E250124.implementation

};

//## begin PlotSensitivity%3DE55E250124.postscript preserve=yes
//## end PlotSensitivity%3DE55E250124.postscript

// Class PlotSensitivity 

//## begin module%3DE55FCF018B.epilog preserve=yes
//## end module%3DE55FCF018B.epilog


#endif
